published on Friday, Apr 3, 2026 by Pulumi
published on Friday, Apr 3, 2026 by Pulumi
This resource provides the Identity Proofing Provider Template resource in Oracle Cloud Infrastructure Identity Domains service. Api doc link for the resource: https://docs.oracle.com/iaas/api/#/en/identity-domains/latest/IdentityProofingProviderTemplate
Example terraform configs related to the resource : https://github.com/oracle/terraform-provider-oci/tree/master/examples/identity_domains
Create an Identity Proofing Provider Configuration template.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testIdentityProofingProviderTemplate = new oci.identity.DomainsIdentityProofingProviderTemplate("test_identity_proofing_provider_template", {
identityProofingProviderTemplateProvider: identityProofingProviderTemplateIdentityProofingProviderTemplateProvider,
idcsEndpoint: testDomain.url,
schemas: ["urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProviderTemplate"],
serviceTypes: identityProofingProviderTemplateServiceType,
verificationUrl: identityProofingProviderTemplateVerificationUrl,
attributeSets: ["all"],
attributes: "",
authorization: identityProofingProviderTemplateAuthorization,
configurations: [{
name: identityProofingProviderTemplateConfigurationName,
sensitivity: identityProofingProviderTemplateConfigurationSensitivity,
type: identityProofingProviderTemplateConfigurationType,
}],
ocid: identityProofingProviderTemplateOcid,
resourceTypeSchemaVersion: identityProofingProviderTemplateResourceTypeSchemaVersion,
});
import pulumi
import pulumi_oci as oci
test_identity_proofing_provider_template = oci.identity.DomainsIdentityProofingProviderTemplate("test_identity_proofing_provider_template",
identity_proofing_provider_template_provider=identity_proofing_provider_template_identity_proofing_provider_template_provider,
idcs_endpoint=test_domain["url"],
schemas=["urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProviderTemplate"],
service_types=identity_proofing_provider_template_service_type,
verification_url=identity_proofing_provider_template_verification_url,
attribute_sets=["all"],
attributes="",
authorization=identity_proofing_provider_template_authorization,
configurations=[{
"name": identity_proofing_provider_template_configuration_name,
"sensitivity": identity_proofing_provider_template_configuration_sensitivity,
"type": identity_proofing_provider_template_configuration_type,
}],
ocid=identity_proofing_provider_template_ocid,
resource_type_schema_version=identity_proofing_provider_template_resource_type_schema_version)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/identity"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := identity.NewDomainsIdentityProofingProviderTemplate(ctx, "test_identity_proofing_provider_template", &identity.DomainsIdentityProofingProviderTemplateArgs{
IdentityProofingProviderTemplateProvider: pulumi.Any(identityProofingProviderTemplateIdentityProofingProviderTemplateProvider),
IdcsEndpoint: pulumi.Any(testDomain.Url),
Schemas: pulumi.StringArray{
pulumi.String("urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProviderTemplate"),
},
ServiceTypes: pulumi.Any(identityProofingProviderTemplateServiceType),
VerificationUrl: pulumi.Any(identityProofingProviderTemplateVerificationUrl),
AttributeSets: pulumi.StringArray{
pulumi.String("all"),
},
Attributes: pulumi.String(""),
Authorization: pulumi.Any(identityProofingProviderTemplateAuthorization),
Configurations: identity.DomainsIdentityProofingProviderTemplateConfigurationArray{
&identity.DomainsIdentityProofingProviderTemplateConfigurationArgs{
Name: pulumi.Any(identityProofingProviderTemplateConfigurationName),
Sensitivity: pulumi.Any(identityProofingProviderTemplateConfigurationSensitivity),
Type: pulumi.Any(identityProofingProviderTemplateConfigurationType),
},
},
Ocid: pulumi.Any(identityProofingProviderTemplateOcid),
ResourceTypeSchemaVersion: pulumi.Any(identityProofingProviderTemplateResourceTypeSchemaVersion),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testIdentityProofingProviderTemplate = new Oci.Identity.DomainsIdentityProofingProviderTemplate("test_identity_proofing_provider_template", new()
{
IdentityProofingProviderTemplateProvider = identityProofingProviderTemplateIdentityProofingProviderTemplateProvider,
IdcsEndpoint = testDomain.Url,
Schemas = new[]
{
"urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProviderTemplate",
},
ServiceTypes = identityProofingProviderTemplateServiceType,
VerificationUrl = identityProofingProviderTemplateVerificationUrl,
AttributeSets = new[]
{
"all",
},
Attributes = "",
Authorization = identityProofingProviderTemplateAuthorization,
Configurations = new[]
{
new Oci.Identity.Inputs.DomainsIdentityProofingProviderTemplateConfigurationArgs
{
Name = identityProofingProviderTemplateConfigurationName,
Sensitivity = identityProofingProviderTemplateConfigurationSensitivity,
Type = identityProofingProviderTemplateConfigurationType,
},
},
Ocid = identityProofingProviderTemplateOcid,
ResourceTypeSchemaVersion = identityProofingProviderTemplateResourceTypeSchemaVersion,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Identity.DomainsIdentityProofingProviderTemplate;
import com.pulumi.oci.Identity.DomainsIdentityProofingProviderTemplateArgs;
import com.pulumi.oci.Identity.inputs.DomainsIdentityProofingProviderTemplateConfigurationArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var testIdentityProofingProviderTemplate = new DomainsIdentityProofingProviderTemplate("testIdentityProofingProviderTemplate", DomainsIdentityProofingProviderTemplateArgs.builder()
.identityProofingProviderTemplateProvider(identityProofingProviderTemplateIdentityProofingProviderTemplateProvider)
.idcsEndpoint(testDomain.url())
.schemas("urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProviderTemplate")
.serviceTypes(identityProofingProviderTemplateServiceType)
.verificationUrl(identityProofingProviderTemplateVerificationUrl)
.attributeSets("all")
.attributes("")
.authorization(identityProofingProviderTemplateAuthorization)
.configurations(DomainsIdentityProofingProviderTemplateConfigurationArgs.builder()
.name(identityProofingProviderTemplateConfigurationName)
.sensitivity(identityProofingProviderTemplateConfigurationSensitivity)
.type(identityProofingProviderTemplateConfigurationType)
.build())
.ocid(identityProofingProviderTemplateOcid)
.resourceTypeSchemaVersion(identityProofingProviderTemplateResourceTypeSchemaVersion)
.build());
}
}
resources:
testIdentityProofingProviderTemplate:
type: oci:Identity:DomainsIdentityProofingProviderTemplate
name: test_identity_proofing_provider_template
properties:
identityProofingProviderTemplateProvider: ${identityProofingProviderTemplateIdentityProofingProviderTemplateProvider}
idcsEndpoint: ${testDomain.url}
schemas:
- urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProviderTemplate
serviceTypes: ${identityProofingProviderTemplateServiceType}
verificationUrl: ${identityProofingProviderTemplateVerificationUrl}
attributeSets:
- all
attributes: ""
authorization: ${identityProofingProviderTemplateAuthorization}
configurations:
- name: ${identityProofingProviderTemplateConfigurationName}
sensitivity: ${identityProofingProviderTemplateConfigurationSensitivity}
type: ${identityProofingProviderTemplateConfigurationType}
ocid: ${identityProofingProviderTemplateOcid}
resourceTypeSchemaVersion: ${identityProofingProviderTemplateResourceTypeSchemaVersion}
Create DomainsIdentityProofingProviderTemplate Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new DomainsIdentityProofingProviderTemplate(name: string, args: DomainsIdentityProofingProviderTemplateArgs, opts?: CustomResourceOptions);@overload
def DomainsIdentityProofingProviderTemplate(resource_name: str,
args: DomainsIdentityProofingProviderTemplateArgs,
opts: Optional[ResourceOptions] = None)
@overload
def DomainsIdentityProofingProviderTemplate(resource_name: str,
opts: Optional[ResourceOptions] = None,
idcs_endpoint: Optional[str] = None,
identity_proofing_provider_template_provider: Optional[str] = None,
schemas: Optional[Sequence[str]] = None,
service_types: Optional[Sequence[str]] = None,
verification_url: Optional[str] = None,
attribute_sets: Optional[Sequence[str]] = None,
attributes: Optional[str] = None,
authorization: Optional[str] = None,
configurations: Optional[Sequence[DomainsIdentityProofingProviderTemplateConfigurationArgs]] = None,
ocid: Optional[str] = None,
resource_type_schema_version: Optional[str] = None)func NewDomainsIdentityProofingProviderTemplate(ctx *Context, name string, args DomainsIdentityProofingProviderTemplateArgs, opts ...ResourceOption) (*DomainsIdentityProofingProviderTemplate, error)public DomainsIdentityProofingProviderTemplate(string name, DomainsIdentityProofingProviderTemplateArgs args, CustomResourceOptions? opts = null)
public DomainsIdentityProofingProviderTemplate(String name, DomainsIdentityProofingProviderTemplateArgs args)
public DomainsIdentityProofingProviderTemplate(String name, DomainsIdentityProofingProviderTemplateArgs args, CustomResourceOptions options)
type: oci:Identity:DomainsIdentityProofingProviderTemplate
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args DomainsIdentityProofingProviderTemplateArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args DomainsIdentityProofingProviderTemplateArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args DomainsIdentityProofingProviderTemplateArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args DomainsIdentityProofingProviderTemplateArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args DomainsIdentityProofingProviderTemplateArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var domainsIdentityProofingProviderTemplateResource = new Oci.Identity.DomainsIdentityProofingProviderTemplate("domainsIdentityProofingProviderTemplateResource", new()
{
IdcsEndpoint = "string",
IdentityProofingProviderTemplateProvider = "string",
Schemas = new[]
{
"string",
},
ServiceTypes = new[]
{
"string",
},
VerificationUrl = "string",
AttributeSets = new[]
{
"string",
},
Attributes = "string",
Authorization = "string",
Configurations = new[]
{
new Oci.Identity.Inputs.DomainsIdentityProofingProviderTemplateConfigurationArgs
{
Name = "string",
Sensitivity = false,
Type = "string",
},
},
Ocid = "string",
ResourceTypeSchemaVersion = "string",
});
example, err := identity.NewDomainsIdentityProofingProviderTemplate(ctx, "domainsIdentityProofingProviderTemplateResource", &identity.DomainsIdentityProofingProviderTemplateArgs{
IdcsEndpoint: pulumi.String("string"),
IdentityProofingProviderTemplateProvider: pulumi.String("string"),
Schemas: pulumi.StringArray{
pulumi.String("string"),
},
ServiceTypes: pulumi.StringArray{
pulumi.String("string"),
},
VerificationUrl: pulumi.String("string"),
AttributeSets: pulumi.StringArray{
pulumi.String("string"),
},
Attributes: pulumi.String("string"),
Authorization: pulumi.String("string"),
Configurations: identity.DomainsIdentityProofingProviderTemplateConfigurationArray{
&identity.DomainsIdentityProofingProviderTemplateConfigurationArgs{
Name: pulumi.String("string"),
Sensitivity: pulumi.Bool(false),
Type: pulumi.String("string"),
},
},
Ocid: pulumi.String("string"),
ResourceTypeSchemaVersion: pulumi.String("string"),
})
var domainsIdentityProofingProviderTemplateResource = new DomainsIdentityProofingProviderTemplate("domainsIdentityProofingProviderTemplateResource", DomainsIdentityProofingProviderTemplateArgs.builder()
.idcsEndpoint("string")
.identityProofingProviderTemplateProvider("string")
.schemas("string")
.serviceTypes("string")
.verificationUrl("string")
.attributeSets("string")
.attributes("string")
.authorization("string")
.configurations(DomainsIdentityProofingProviderTemplateConfigurationArgs.builder()
.name("string")
.sensitivity(false)
.type("string")
.build())
.ocid("string")
.resourceTypeSchemaVersion("string")
.build());
domains_identity_proofing_provider_template_resource = oci.identity.DomainsIdentityProofingProviderTemplate("domainsIdentityProofingProviderTemplateResource",
idcs_endpoint="string",
identity_proofing_provider_template_provider="string",
schemas=["string"],
service_types=["string"],
verification_url="string",
attribute_sets=["string"],
attributes="string",
authorization="string",
configurations=[{
"name": "string",
"sensitivity": False,
"type": "string",
}],
ocid="string",
resource_type_schema_version="string")
const domainsIdentityProofingProviderTemplateResource = new oci.identity.DomainsIdentityProofingProviderTemplate("domainsIdentityProofingProviderTemplateResource", {
idcsEndpoint: "string",
identityProofingProviderTemplateProvider: "string",
schemas: ["string"],
serviceTypes: ["string"],
verificationUrl: "string",
attributeSets: ["string"],
attributes: "string",
authorization: "string",
configurations: [{
name: "string",
sensitivity: false,
type: "string",
}],
ocid: "string",
resourceTypeSchemaVersion: "string",
});
type: oci:Identity:DomainsIdentityProofingProviderTemplate
properties:
attributeSets:
- string
attributes: string
authorization: string
configurations:
- name: string
sensitivity: false
type: string
idcsEndpoint: string
identityProofingProviderTemplateProvider: string
ocid: string
resourceTypeSchemaVersion: string
schemas:
- string
serviceTypes:
- string
verificationUrl: string
DomainsIdentityProofingProviderTemplate Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The DomainsIdentityProofingProviderTemplate resource accepts the following input properties:
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Identity
Proofing stringProvider Template Provider (Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- Schemas List<string>
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Service
Types List<string> (Updatable) Service type supported by the Identity Proofing Provider.
Added In: 2505161800
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Verification
Url string (Updatable) verification URL.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- Attribute
Sets List<string> - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Configurations
List<Domains
Identity Proofing Provider Template Configuration> (Updatable) Proofing Provider Configuration Template.
SCIM++ Properties:
- idcsCompositeKey: [name]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- Ocid string
(Updatable) Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- Resource
Type stringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Identity
Proofing stringProvider Template Provider (Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- Schemas []string
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Service
Types []string (Updatable) Service type supported by the Identity Proofing Provider.
Added In: 2505161800
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Verification
Url string (Updatable) verification URL.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- Attribute
Sets []string - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Configurations
[]Domains
Identity Proofing Provider Template Configuration Args (Updatable) Proofing Provider Configuration Template.
SCIM++ Properties:
- idcsCompositeKey: [name]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- Ocid string
(Updatable) Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- Resource
Type stringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs
Endpoint String - The basic endpoint for the identity domain
- identity
Proofing StringProvider Template Provider (Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- schemas List<String>
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- service
Types List<String> (Updatable) Service type supported by the Identity Proofing Provider.
Added In: 2505161800
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- verification
Url String (Updatable) verification URL.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- attribute
Sets List<String> - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- configurations
List<Domains
Proofing Provider Template Configuration> (Updatable) Proofing Provider Configuration Template.
SCIM++ Properties:
- idcsCompositeKey: [name]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- ocid String
(Updatable) Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- resource
Type StringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs
Endpoint string - The basic endpoint for the identity domain
- identity
Proofing stringProvider Template Provider (Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- schemas string[]
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- service
Types string[] (Updatable) Service type supported by the Identity Proofing Provider.
Added In: 2505161800
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- verification
Url string (Updatable) verification URL.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- attribute
Sets string[] - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes string
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- configurations
Domains
Identity Proofing Provider Template Configuration[] (Updatable) Proofing Provider Configuration Template.
SCIM++ Properties:
- idcsCompositeKey: [name]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- ocid string
(Updatable) Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- resource
Type stringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs_
endpoint str - The basic endpoint for the identity domain
- identity_
proofing_ strprovider_ template_ provider (Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- schemas Sequence[str]
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- service_
types Sequence[str] (Updatable) Service type supported by the Identity Proofing Provider.
Added In: 2505161800
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- verification_
url str (Updatable) verification URL.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- attribute_
sets Sequence[str] - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes str
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- str
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- configurations
Sequence[Domains
Identity Proofing Provider Template Configuration Args] (Updatable) Proofing Provider Configuration Template.
SCIM++ Properties:
- idcsCompositeKey: [name]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- ocid str
(Updatable) Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- resource_
type_ strschema_ version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs
Endpoint String - The basic endpoint for the identity domain
- identity
Proofing StringProvider Template Provider (Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- schemas List<String>
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- service
Types List<String> (Updatable) Service type supported by the Identity Proofing Provider.
Added In: 2505161800
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- verification
Url String (Updatable) verification URL.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- attribute
Sets List<String> - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- configurations List<Property Map>
(Updatable) Proofing Provider Configuration Template.
SCIM++ Properties:
- idcsCompositeKey: [name]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- ocid String
(Updatable) Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- resource
Type StringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
Outputs
All input properties are implicitly available as output properties. Additionally, the DomainsIdentityProofingProviderTemplate resource produces the following output properties:
- Compartment
Ocid string (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Delete
In boolProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- Domain
Ocid string (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Id string
- The provider-assigned unique ID for this managed resource.
- Idcs
Created List<DomainsBies Identity Proofing Provider Template Idcs Created By> (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- Idcs
Last List<DomainsModified Bies Identity Proofing Provider Template Idcs Last Modified By> (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Last stringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Idcs
Locked List<DomainsBies Identity Proofing Provider Template Idcs Locked By> (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Locked stringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- Idcs
Locked List<string>Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Prevented List<string>Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Metas
List<Domains
Identity Proofing Provider Template Meta> (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- Tenancy
Ocid string (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Compartment
Ocid string (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Delete
In boolProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- Domain
Ocid string (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Id string
- The provider-assigned unique ID for this managed resource.
- Idcs
Created []DomainsBies Identity Proofing Provider Template Idcs Created By (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- Idcs
Last []DomainsModified Bies Identity Proofing Provider Template Idcs Last Modified By (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Last stringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Idcs
Locked []DomainsBies Identity Proofing Provider Template Idcs Locked By (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Locked stringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- Idcs
Locked []stringOperations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Prevented []stringOperations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Metas
[]Domains
Identity Proofing Provider Template Meta (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- Tenancy
Ocid string (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- compartment
Ocid String (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- delete
In BooleanProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- domain
Ocid String (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- id String
- The provider-assigned unique ID for this managed resource.
- idcs
Created List<DomainsBies Proofing Provider Template Idcs Created By> (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- idcs
Last List<DomainsModified Bies Proofing Provider Template Idcs Last Modified By> (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Last StringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- idcs
Locked List<DomainsBies Proofing Provider Template Idcs Locked By> (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Locked StringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- idcs
Locked List<String>Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Prevented List<String>Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- metas
List<Domains
Proofing Provider Template Meta> (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- tenancy
Ocid String (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- compartment
Ocid string (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- delete
In booleanProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- domain
Ocid string (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- id string
- The provider-assigned unique ID for this managed resource.
- idcs
Created DomainsBies Identity Proofing Provider Template Idcs Created By[] (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- idcs
Last DomainsModified Bies Identity Proofing Provider Template Idcs Last Modified By[] (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Last stringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- idcs
Locked DomainsBies Identity Proofing Provider Template Idcs Locked By[] (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Locked stringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- idcs
Locked string[]Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Prevented string[]Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- metas
Domains
Identity Proofing Provider Template Meta[] (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- tenancy
Ocid string (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- compartment_
ocid str (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- delete_
in_ boolprogress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- domain_
ocid str (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- id str
- The provider-assigned unique ID for this managed resource.
- idcs_
created_ Sequence[Domainsbies Identity Proofing Provider Template Idcs Created By] (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- idcs_
last_ Sequence[Domainsmodified_ bies Identity Proofing Provider Template Idcs Last Modified By] (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs_
last_ strupgraded_ in_ release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- idcs_
locked_ Sequence[Domainsbies Identity Proofing Provider Template Idcs Locked By] (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs_
locked_ stron (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- idcs_
locked_ Sequence[str]operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs_
prevented_ Sequence[str]operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- metas
Sequence[Domains
Identity Proofing Provider Template Meta] (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- tenancy_
ocid str (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- compartment
Ocid String (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- delete
In BooleanProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- domain
Ocid String (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- id String
- The provider-assigned unique ID for this managed resource.
- idcs
Created List<Property Map>Bies (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- idcs
Last List<Property Map>Modified Bies (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Last StringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- idcs
Locked List<Property Map>Bies (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Locked StringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- idcs
Locked List<String>Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Prevented List<String>Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- metas List<Property Map>
(Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- tenancy
Ocid String (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
Look up Existing DomainsIdentityProofingProviderTemplate Resource
Get an existing DomainsIdentityProofingProviderTemplate resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: DomainsIdentityProofingProviderTemplateState, opts?: CustomResourceOptions): DomainsIdentityProofingProviderTemplate@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
attribute_sets: Optional[Sequence[str]] = None,
attributes: Optional[str] = None,
authorization: Optional[str] = None,
compartment_ocid: Optional[str] = None,
configurations: Optional[Sequence[DomainsIdentityProofingProviderTemplateConfigurationArgs]] = None,
delete_in_progress: Optional[bool] = None,
domain_ocid: Optional[str] = None,
idcs_created_bies: Optional[Sequence[DomainsIdentityProofingProviderTemplateIdcsCreatedByArgs]] = None,
idcs_endpoint: Optional[str] = None,
idcs_last_modified_bies: Optional[Sequence[DomainsIdentityProofingProviderTemplateIdcsLastModifiedByArgs]] = None,
idcs_last_upgraded_in_release: Optional[str] = None,
idcs_locked_bies: Optional[Sequence[DomainsIdentityProofingProviderTemplateIdcsLockedByArgs]] = None,
idcs_locked_on: Optional[str] = None,
idcs_locked_operations: Optional[Sequence[str]] = None,
idcs_prevented_operations: Optional[Sequence[str]] = None,
identity_proofing_provider_template_provider: Optional[str] = None,
metas: Optional[Sequence[DomainsIdentityProofingProviderTemplateMetaArgs]] = None,
ocid: Optional[str] = None,
resource_type_schema_version: Optional[str] = None,
schemas: Optional[Sequence[str]] = None,
service_types: Optional[Sequence[str]] = None,
tenancy_ocid: Optional[str] = None,
verification_url: Optional[str] = None) -> DomainsIdentityProofingProviderTemplatefunc GetDomainsIdentityProofingProviderTemplate(ctx *Context, name string, id IDInput, state *DomainsIdentityProofingProviderTemplateState, opts ...ResourceOption) (*DomainsIdentityProofingProviderTemplate, error)public static DomainsIdentityProofingProviderTemplate Get(string name, Input<string> id, DomainsIdentityProofingProviderTemplateState? state, CustomResourceOptions? opts = null)public static DomainsIdentityProofingProviderTemplate get(String name, Output<String> id, DomainsIdentityProofingProviderTemplateState state, CustomResourceOptions options)resources: _: type: oci:Identity:DomainsIdentityProofingProviderTemplate get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Attribute
Sets List<string> - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Compartment
Ocid string (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Configurations
List<Domains
Identity Proofing Provider Template Configuration> (Updatable) Proofing Provider Configuration Template.
SCIM++ Properties:
- idcsCompositeKey: [name]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- Delete
In boolProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- Domain
Ocid string (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Created List<DomainsBies Identity Proofing Provider Template Idcs Created By> (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Idcs
Last List<DomainsModified Bies Identity Proofing Provider Template Idcs Last Modified By> (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Last stringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Idcs
Locked List<DomainsBies Identity Proofing Provider Template Idcs Locked By> (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Locked stringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- Idcs
Locked List<string>Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Prevented List<string>Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Identity
Proofing stringProvider Template Provider (Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- Metas
List<Domains
Identity Proofing Provider Template Meta> (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- Ocid string
(Updatable) Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- Resource
Type stringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Schemas List<string>
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Service
Types List<string> (Updatable) Service type supported by the Identity Proofing Provider.
Added In: 2505161800
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Tenancy
Ocid string (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Verification
Url string (Updatable) verification URL.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- Attribute
Sets []string - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Compartment
Ocid string (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Configurations
[]Domains
Identity Proofing Provider Template Configuration Args (Updatable) Proofing Provider Configuration Template.
SCIM++ Properties:
- idcsCompositeKey: [name]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- Delete
In boolProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- Domain
Ocid string (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Created []DomainsBies Identity Proofing Provider Template Idcs Created By Args (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Idcs
Last []DomainsModified Bies Identity Proofing Provider Template Idcs Last Modified By Args (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Last stringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Idcs
Locked []DomainsBies Identity Proofing Provider Template Idcs Locked By Args (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Locked stringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- Idcs
Locked []stringOperations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Prevented []stringOperations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Identity
Proofing stringProvider Template Provider (Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- Metas
[]Domains
Identity Proofing Provider Template Meta Args (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- Ocid string
(Updatable) Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- Resource
Type stringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Schemas []string
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Service
Types []string (Updatable) Service type supported by the Identity Proofing Provider.
Added In: 2505161800
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Tenancy
Ocid string (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Verification
Url string (Updatable) verification URL.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- attribute
Sets List<String> - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- compartment
Ocid String (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- configurations
List<Domains
Proofing Provider Template Configuration> (Updatable) Proofing Provider Configuration Template.
SCIM++ Properties:
- idcsCompositeKey: [name]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- delete
In BooleanProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- domain
Ocid String (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Created List<DomainsBies Proofing Provider Template Idcs Created By> (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- idcs
Endpoint String - The basic endpoint for the identity domain
- idcs
Last List<DomainsModified Bies Proofing Provider Template Idcs Last Modified By> (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Last StringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- idcs
Locked List<DomainsBies Proofing Provider Template Idcs Locked By> (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Locked StringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- idcs
Locked List<String>Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Prevented List<String>Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- identity
Proofing StringProvider Template Provider (Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- metas
List<Domains
Proofing Provider Template Meta> (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- ocid String
(Updatable) Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- resource
Type StringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- schemas List<String>
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- service
Types List<String> (Updatable) Service type supported by the Identity Proofing Provider.
Added In: 2505161800
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- tenancy
Ocid String (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- verification
Url String (Updatable) verification URL.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- attribute
Sets string[] - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes string
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- compartment
Ocid string (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- configurations
Domains
Identity Proofing Provider Template Configuration[] (Updatable) Proofing Provider Configuration Template.
SCIM++ Properties:
- idcsCompositeKey: [name]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- delete
In booleanProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- domain
Ocid string (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Created DomainsBies Identity Proofing Provider Template Idcs Created By[] (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- idcs
Endpoint string - The basic endpoint for the identity domain
- idcs
Last DomainsModified Bies Identity Proofing Provider Template Idcs Last Modified By[] (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Last stringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- idcs
Locked DomainsBies Identity Proofing Provider Template Idcs Locked By[] (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Locked stringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- idcs
Locked string[]Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Prevented string[]Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- identity
Proofing stringProvider Template Provider (Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- metas
Domains
Identity Proofing Provider Template Meta[] (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- ocid string
(Updatable) Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- resource
Type stringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- schemas string[]
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- service
Types string[] (Updatable) Service type supported by the Identity Proofing Provider.
Added In: 2505161800
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- tenancy
Ocid string (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- verification
Url string (Updatable) verification URL.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- attribute_
sets Sequence[str] - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes str
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- str
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- compartment_
ocid str (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- configurations
Sequence[Domains
Identity Proofing Provider Template Configuration Args] (Updatable) Proofing Provider Configuration Template.
SCIM++ Properties:
- idcsCompositeKey: [name]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- delete_
in_ boolprogress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- domain_
ocid str (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs_
[...]
